### Class

# WebKit Image

unstable since: 2.52

#### Description [src]

    final class WebKit.Image : GObject.Object
      implements Gio.Icon, Gio.LoadableIcon {
      /* No available fields */
    }

Represents an image as a buffer containing pixel data.

Image objects are always created by WebKit, and considered immutable: a copy of the image data needs to be made before modifying the image. Pixel data can be obtained with `webkit_image_as_bytes()`.

Available since: 2.52

#### Ancestors

- GObject

#### Implements

- GIcon
- GLoadableIcon

#### Instance methods

###### webkit_image_as_bytes

Get the `image` pixel data as an array of bytes.

unstable since: 2.52

###### webkit_image_get_height

Get the `image` height in pixels.

unstable since: 2.52

###### webkit_image_get_stride

Get the `image` stride.

unstable since: 2.52

###### webkit_image_get_width

Get the `image` width in pixels.

unstable since: 2.52

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GIcon (4)

###### g_icon_equal

Checks if two icons are equal.

###### g_icon_hash

Gets a hash for an icon.

###### g_icon_serialize

Serializes a `GIcon` into a `GVariant`. An equivalent `GIcon` can be retrieved back by calling `g_icon_deserialize()` on the returned value. As serialization will avoid using raw icon data when possible, it only makes sense to transfer the `GVariant` between processes on the same machine, (as opposed to over the network), and within the same file system namespace.

###### g_icon_to_string

Generates a textual representation of `icon` that can be used for serialization such as when passing `icon` to a different process or saving it to persistent storage. Use `g_icon_new_for_string()` to get `icon` back from the returned string.

##### Methods inherited from GLoadableIcon (3)

###### g_loadable_icon_load

Loads a loadable icon. For the asynchronous version of this function, see g_loadable_icon_load_async().

###### g_loadable_icon_load_async

Loads an icon asynchronously. To finish this function, see g_loadable_icon_load_finish(). For the synchronous, blocking version of this function, see g_loadable_icon_load().

###### g_loadable_icon_load_finish

Finishes an asynchronous icon load started in g_loadable_icon_load_async().

#### Properties

###### WebKit.Image:height

The image height in pixels.

unstable since: 2.52

###### WebKit.Image:stride

The image stride, in bytes. This value indicates the amount of memory occupied by each row of pixels in the image. Note that the stride may be larger than the image width multiplied by the amount of bytes used to represent each pixel.

unstable since: 2.52

###### WebKit.Image:width

The image width in pixels.

unstable since: 2.52

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitImageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.